GET /repos/{owner}/{repo}/readme/{dir}
Operation ID: repos/get-readme-in-directory
Auth: bearer_token
Description
Gets the README from a repository directory. This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)." - **`application/vnd.github.raw+json`**: Returns the raw file contents. This is the default if you do not specify a media type. - **`application/vnd.github.html+json`**: Returns the README in HTML. Markup languages are rendered to HTML using GitHub's open-source [Markup library](https://github.com/github/markup).
Parameters (4)
(string, path, required)
The alternate path to look for a README file
(string, path, required)
The account owner of the repository. The name is not case sensitive.
(string, query, optional)
The name of the commit/branch/tag. Default: the repository’s default branch.
(string, path, required)
The name of the repository without the `.git` extension. The name is not case sensitive.
No probe data for this endpoint yet.